#coding=utf-8
#DESC:Select atoms by shape

from molFeat import *

def run():

  curMols = getCurrentMolecule()

  # 選択中の分子数分ループ
  for i in range(len(curMols)):
    numAtoms = getNumAtoms(curMols[i])

    # 全ての原子の表示形状を取得
    selection = "all"
    selectAtom(selection)
    shapeList = getAtomShapes() # リボンなどはgetCartoonShape()を使う

    # 分子中の原子数分ループし、表示形状を判定
    flags = list()
    for j in range(numAtoms):
      # 表示形状のenumの意味は下記の通り
      # SHAPE_DOT:ドット
      # SHAPE_WIRE:ワイヤーフレーム
      # SHAPE_BALL:ボール
      # SHAPE_STICK:スティック
      # SHAPE_BALL_STICK:ボール・スティック
      flags.append(shapeList[j] == SHAPE_BALL_STICK)
    
    # SHAPE_BALL_STICKの原子だけを選択状態にする
    setAtomSelected(flags)


if __name__ == '__main__':
	run()
